Method: organizations.locations.frameworkDeployments.patch

Updates a framework deployment.

HTTP request

PATCH https://cloudsecuritycompliance.googleapis.com/v1/{frameworkDeployment.name=organizations/*/locations/*/frameworkDeployments/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
frameworkDeployment.name

string

Identifier. The name of the framework deployment, in the format organizations/{organization}/locations/{location}/frameworkDeployments/{frameworkDeployment} or projects/{project}/locations/{location}/frameworkDeployments/{frameworkDeployment}. The only supported location is global.

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. Include the fields that you want to overwrite in the field mask. Specify fields relative to the resource, not the full request. If you don't provide a mask, then all fields are overwritten.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of FrameworkDeployment.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • cloudsecuritycompliance.frameworkDeployments.update

For more information, see the IAM documentation.